﻿.login-container .login .field input[type="text"],
.login-container .login .field input[type="password"] {
    background-color: #ffffff !important;
    color: #000000 !important;
    border: 1px solid #ccc;
    border-radius: 6px;
    padding: 8px;
}

.header,
.header div,
.header span {
    color: #000 !important;
}

    .header span {
        color: #000;
    }
.button {
    position: relative;
    text-decoration: none;
    color: #fff;
    background: linear-gradient(45deg, #1a1a1a, #2c2c2c, #3a3a3a);
    padding: 14px 25px;
    border-radius: 10px;
    font-size: 1.25em;
    cursor: pointer;
    letter-spacing: 1px;
    width: 250px;
    text-align: center;
}

    .button span {
        position: relative;
        z-index: 1;
    }

    /* Fondo interno (negro) */
    .button::before {
        content: "";
        position: absolute;
        inset: 1px;
        background: #0f0f0f;
        border-radius: 9px;
        transition: 0.4s;
    }

    /* Hover suave */
    .button:hover::before {
        opacity: 0.85;
    }

    /* Glow exterior */
    .button::after {
        content: "";
        position: absolute;
        inset: 0px;
        background: linear-gradient(45deg, #2c2c2c, #96B414, #2c2c2c);
        border-radius: 9px;
        transition: 0.4s;
        opacity: 0;
        filter: blur(15px);
    }

    /* Activar glow en hover */
    .button:hover::after {
        opacity: 0.7;
    }
/* Contenedor principal */
.login-container {
    max-width: 320px; /* ligeramente mayor al captcha */
    width: 100%;
}

/* Form */
.login {
    display: flex;
    flex-direction: column;
    gap: 0px;
}

.field input {
    background-color: #fff !important;
    color: #000 !important;
}

    /* Inputs */
    .login input {
        width: 100%;
        padding: 0px;
        box-sizing: border-box;
    }

.captcha-container {
    width: 100%;
    display: flex;
    justify-content: left; 
}

.g-recaptcha {
    transform: scale(0.82); 
    transform-origin: left;
}

.login label {
    margin: 0; /* 🔥 elimina espacio extra */
    color: #000; /* texto negro */
    font-size: 0.9em;
}


.login {
    display: flex;
    flex-direction: column;
    gap: 1px; /* espacio ENTRE campos */
}

.field {
    display: flex;
    flex-direction: column;
    gap: 0px; /* espacio ENTRE label e input */
}

    .field label {
        color: #000;
        margin: 0;
    }

    .field input {
        margin: 0;
        background-color: #fff;
        color: #000;
        border: 1px solid #ccc;
        border-radius: 6px;
    }

        .field input:focus {
            outline: none;
            border: 1px solid #00aaff;
            box-shadow: 0 0 5px rgba(0,170,255,0.5);
        }